hpp-corbaserver: CollisionObject Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
CollisionObject Class Reference

`#include <hpp/pinocchio_idl/robots-idl.hh>`

Inheritance diagram for CollisionObject:
[legend]
Collaboration diagram for CollisionObject:
[legend]

## Public Types
typedef CollisionObject_ptr | _ptr_type
typedef CollisionObject_var | _var_type

## Public Member Functions
virtual | ~CollisionObject ()
inline ::hpp::pinocchio_idl::CollisionObject_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef CollisionObject_ptr CollisionObject::_ptr_type

## ◆ _var_type

typedef CollisionObject_var CollisionObject::_var_type

## Constructor & Destructor Documentation

## ◆ ~CollisionObject()

virtual CollisionObject::~CollisionObject | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type CollisionObject::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type CollisionObject::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void CollisionObject::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type CollisionObject::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type CollisionObject::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::pinocchio_idl::CollisionObject_ptr CollisionObject::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type CollisionObject::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type CollisionObject::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* CollisionObject::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/pinocchio_idl/robots-idl.hh